Description
WasmModuleInstall is the Schema for the wasmmoduleinstalls API
Type
object

Specification

PropertyTypeDescription
apiVersionstring

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

kindstring

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

metadataObjectMeta

ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

specobject

WasmModuleInstallSpec defines the desired state of WasmModuleInstall

statusobject

WasmModuleInstallStatus defines the observed state of WasmModuleInstall

.spec

Description
WasmModuleInstallSpec defines the desired state of WasmModuleInstall
Type
object
Required
imagetargetMeshtemplate
PropertyTypeDescription
imageobject
imagePullOptionsobject
moduleConfigurationobject
targetMeshstring
templateobject

.spec.image

Type
object
Required
repotag
PropertyTypeDescription
repostring
tagstring

.spec.imagePullOptions

Type
object
PropertyTypeDescription
credentialsIdstring

.spec.moduleConfiguration

Type
object
Required
type
PropertyTypeDescription
jsonDataobject
stringDatastring
typestring

.spec.moduleConfiguration.jsonData

Type
object

.spec.template

Type
object
Required
templateRef
PropertyTypeDescription
templateRefstring
userValuesstring

.status

Description
WasmModuleInstallStatus defines the observed state of WasmModuleInstall
Type
object

API Endpoints

The following API endpoints are available:

  • /apis/asm.alauda.io/v1beta1/namespaces/{namespace}/wasmmoduleinstalls
    • DELETE: delete collection of WasmModuleInstall
    • GET: list objects of kind WasmModuleInstall
    • POST: create a new WasmModuleInstall
  • /apis/asm.alauda.io/v1beta1/namespaces/{namespace}/wasmmoduleinstalls/{name}
    • DELETE: delete the specified WasmModuleInstall
    • GET: read the specified WasmModuleInstall
    • PATCH: partially update the specified WasmModuleInstall
    • PUT: replace the specified WasmModuleInstall
  • /apis/asm.alauda.io/v1beta1/namespaces/{namespace}/wasmmoduleinstalls/{name}/status
    • GET: read status of the specified WasmModuleInstall
    • PATCH: partially update status of the specified WasmModuleInstall
    • PUT: replace status of the specified WasmModuleInstall

/apis/asm.alauda.io/v1beta1/namespaces/{namespace}/wasmmoduleinstalls

HTTP method
DELETE
Description
delete collection of WasmModuleInstall
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
list objects of kind WasmModuleInstall
HTTP responses
HTTP codeResponse body
200 - OKWasmModuleInstallList schema
401 - UnauthorizedEmpty
HTTP method
POST
Description
create a new WasmModuleInstall
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyWasmModuleInstall schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKWasmModuleInstall schema
201 - CreatedWasmModuleInstall schema
202 - AcceptedWasmModuleInstall schema
401 - UnauthorizedEmpty

/apis/asm.alauda.io/v1beta1/namespaces/{namespace}/wasmmoduleinstalls/{name}

HTTP method
DELETE
Description
delete the specified WasmModuleInstall
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
202 - AcceptedStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
read the specified WasmModuleInstall
HTTP responses
HTTP codeResponse body
200 - OKWasmModuleInstall schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update the specified WasmModuleInstall
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKWasmModuleInstall schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace the specified WasmModuleInstall
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyWasmModuleInstall schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKWasmModuleInstall schema
201 - CreatedWasmModuleInstall schema
401 - UnauthorizedEmpty

/apis/asm.alauda.io/v1beta1/namespaces/{namespace}/wasmmoduleinstalls/{name}/status

HTTP method
GET
Description
read status of the specified WasmModuleInstall
HTTP responses
HTTP codeResponse body
200 - OKWasmModuleInstall schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update status of the specified WasmModuleInstall
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKWasmModuleInstall schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace status of the specified WasmModuleInstall
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyWasmModuleInstall schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKWasmModuleInstall schema
201 - CreatedWasmModuleInstall schema
401 - UnauthorizedEmpty